ArenaTest.cpp File Reference
`#include "stdinc.h"`
`#include "Arena.h"`
`#include "tests.h"`
`#include <algorithm>`
`#include <sstream>`

Go to the source code of this file.

## Macros

#define | MAKE_HELPER(NAME, THROW_AT)

## Functions

| TEST (Arena, NoOp)
| TEST (Arena, Big)
| TEST (Arena, Zero)
| TEST (Arena, Many)
| TEST (Arena, BigAndOverflow)
| TEST (Arena, ConDecon)
| TEST (Arena, ConExcep)
| TEST (Arena, NoConDecon)
| TEST (Arena, ConNoDecon)

## Macro Definition Documentation

## MAKE_HELPER

#define MAKE_HELPER | ( |  | NAME,
|  |  | THROW_AT )

Value:
namespace { \
struct _frobby_##NAME##HelperTag {}; \
typedef _frobby_Helper<_frobby_##NAME##HelperTag, THROW_AT> NAME##Helper; \
}

Definition at line 146 of file ArenaTest.cpp.

## Function Documentation

## TEST() [1/9]

TEST | ( | Arena | ,
|  | Big | )

Definition at line 31 of file ArenaTest.cpp.

## TEST() [2/9]

TEST | ( | Arena | ,
|  | BigAndOverflow | )

Definition at line 85 of file ArenaTest.cpp.

## TEST() [3/9]

TEST | ( | Arena | ,
|  | ConDecon | )

Definition at line 153 of file ArenaTest.cpp.

## TEST() [4/9]

TEST | ( | Arena | ,
|  | ConExcep | )

Definition at line 163 of file ArenaTest.cpp.

## TEST() [5/9]

TEST | ( | Arena | ,
|  | ConNoDecon | )

Definition at line 185 of file ArenaTest.cpp.

## TEST() [6/9]

TEST | ( | Arena | ,
|  | Many | )

Definition at line 53 of file ArenaTest.cpp.

## TEST() [7/9]

TEST | ( | Arena | ,
|  | NoConDecon | )

Definition at line 171 of file ArenaTest.cpp.

## TEST() [8/9]

TEST | ( | Arena | ,
|  | NoOp | )

Definition at line 27 of file ArenaTest.cpp.

## TEST() [9/9]

TEST | ( | Arena | ,
|  | Zero | )

Definition at line 42 of file ArenaTest.cpp.